| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::AbsolutePixelCountLodStrategy Class Reference

`#include <OgrePixelCountLodStrategy.h>`

Inheritance diagram for Ogre::AbsolutePixelCountLodStrategy:
[legend]

## Public Member Functions
| AbsolutePixelCountLodStrategy ()
| Default constructor. More...
void | assertSorted (const Mesh::LodValueList &values) const
| Assert that the LOD values are sorted from greatest detail to least detail. More...
virtual Real | getBaseValue () const
| Get the value of the first (highest) level of detail. More...
virtual ushort | getIndex (Real value, const Mesh::MeshLodUsageList &meshLodUsageList) const
| Get the index of the LOD usage which applies to a given value. More...
virtual ushort | getIndex (Real value, const Material::LodValueList &materialLodValueList) const
| Get the index of the LOD usage which applies to a given value. More...
const String & | getName () const
| Get the name of this strategy. More...
Real | getValue (const MovableObject *movableObject, const Camera *camera) const
| Compute the LOD value for a given movable object relative to a given camera. More...
Real | getValueImpl (const MovableObject *movableObject, const Camera *camera) const
| Compute the LOD value for a given movable object relative to a given camera. More...
virtual bool | isSorted (const Mesh::LodValueList &values) const
| Determine if the LOD values are sorted from greatest detail to least detail. More...
virtual void | sort (Mesh::MeshLodUsageList &meshLodUsageList) const
| Sort mesh LOD usage list from greatest to least detail. More...
virtual Real | transformBias (Real factor) const
| Transform LOD bias so it only needs to be multiplied by the LOD value. More...
virtual Real | transformUserValue (Real userValue) const
| Transform user supplied value to internal value. More...

## Static Public Member Functions
static AbsolutePixelCountLodStrategy & | getSingleton (void)
| Get the singleton instance. More...
static AbsolutePixelCountLodStrategy * | getSingletonPtr (void)
| Get the singleton instance. More...

## Constructor & Destructor Documentation

## ◆ AbsolutePixelCountLodStrategy()

Ogre::AbsolutePixelCountLodStrategy::AbsolutePixelCountLodStrategy | ( |  | ) |

Default constructor.

## Member Function Documentation

## ◆ getValueImpl()

Real Ogre::AbsolutePixelCountLodStrategy::getValueImpl | ( | const MovableObject * | movableObject,
|  | const Camera * | camera
| ) |  | const
| virtual

Compute the LOD value for a given movable object relative to a given camera.

Implements Ogre::PixelCountLodStrategyBase.

## ◆ getSingleton()

static AbsolutePixelCountLodStrategy& Ogre::AbsolutePixelCountLodStrategy::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getSingletonPtr()

static AbsolutePixelCountLodStrategy* Ogre::AbsolutePixelCountLodStrategy::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getBaseValue()

virtual Real Ogre::PixelCountLodStrategyBase::getBaseValue | ( |  | ) | const
| virtual inherited

Get the value of the first (highest) level of detail.

Implements Ogre::LodStrategy.

## ◆ transformBias()

virtual Real Ogre::PixelCountLodStrategyBase::transformBias | ( | Real | factor | ) | const
| virtual inherited

Transform LOD bias so it only needs to be multiplied by the LOD value.

Implements Ogre::LodStrategy.

## ◆ getIndex() [1/2]

virtual ushort Ogre::PixelCountLodStrategyBase::getIndex | ( | Real | value,
|  | const Mesh::MeshLodUsageList & | meshLodUsageList
| ) |  | const
| virtual inherited

Get the index of the LOD usage which applies to a given value.

Implements Ogre::LodStrategy.

## ◆ getIndex() [2/2]

virtual ushort Ogre::PixelCountLodStrategyBase::getIndex | ( | Real | value,
|  | const Material::LodValueList & | materialLodValueList
| ) |  | const
| virtual inherited

Get the index of the LOD usage which applies to a given value.

Implements Ogre::LodStrategy.

## ◆ sort()

virtual void Ogre::PixelCountLodStrategyBase::sort | ( | Mesh::MeshLodUsageList & | meshLodUsageList | ) | const
| virtual inherited

Sort mesh LOD usage list from greatest to least detail.

Implements Ogre::LodStrategy.

## ◆ isSorted()

virtual bool Ogre::PixelCountLodStrategyBase::isSorted | ( | const Mesh::LodValueList & | values | ) | const
| virtual inherited

Determine if the LOD values are sorted from greatest detail to least detail.

Implements Ogre::LodStrategy.

## ◆ transformUserValue()

virtual Real Ogre::LodStrategy::transformUserValue | ( | Real | userValue | ) | const
| virtual inherited

Transform user supplied value to internal value.

Remarks
  By default, performs no transformation.
  Do not throw exceptions for invalid values here, as the LOD strategy may be changed such that the values become valid.

Reimplemented in Ogre::DistanceLodStrategyBase.

## ◆ getValue()

Real Ogre::LodStrategy::getValue | ( | const MovableObject * | movableObject,
|  | const Camera * | camera
| ) |  | const
| inherited

Compute the LOD value for a given movable object relative to a given camera.

## ◆ assertSorted()

void Ogre::LodStrategy::assertSorted | ( | const Mesh::LodValueList & | values | ) | const
| inherited

Assert that the LOD values are sorted from greatest detail to least detail.

## ◆ getName()

const String& Ogre::LodStrategy::getName | ( | void |  | ) | const
| inline inherited

Get the name of this strategy.

The documentation for this class was generated from the following file:

- OgrePixelCountLodStrategy.h